apiVersion: apps/v1beta1
kind: Deployment
metadata:
  labels:
    run: nats-consumer
  name: nats-consumer
  namespace: nats-example
spec:
  replicas: 1
  selector:
    matchLabels:
      run: nats-consumer
  template:
    metadata:
      labels:
        run: nats-consumer
    spec:
      containers:
      - env:
        - name: NATS
          value: "nats-server"
        - name: NATS_PORT
          value: "4222"
        image: jooaodanieel/nats-consumer:test
        imagePullPolicy: IfNotPresent
        name: nats-consumer
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler

---


apiVersion: v1
kind: Service
metadata:
  labels:
    run: nats-consumer
  name: nats-consumer
  namespace: nats-example
spec:
  ports:
  - port: 3000
    protocol: TCP
    targetPort: 3000
  selector:
    run: nats-consumer
  sessionAffinity: None
  type: NodePort
